# SPDX-FileCopyrightText: 2024 Justin Myers
#
# SPDX-License-Identifier: MIT
"""
Board stub for Espruino Pico
 - port: stm
 - board_id: espruino_pico
 - NVM size: Unknown
 - Included modules: _asyncio, _pixelmap, adafruit_pixelbuf, analogio, array, atexit, binascii, bitbangio, board, builtins, builtins.pow3, busdisplay, busio, busio.SPI, busio.UART, codeop, collections, digitalio, displayio, epaperdisplay, errno, fontio, fourwire, getpass, i2cdisplaybus, io, json, locale, math, microcontroller, neopixel_write, onewireio, os, os.getenv, pulseio, pwmio, rainbowio, random, re, rtc, sdcardio, select, storage, struct, supervisor, sys, terminalio, time, touchio, traceback, usb_cdc, usb_hid, usb_midi, warnings, zlib
 - Frozen libraries: 
"""

# Imports
import microcontroller


# Board Info:
board_id: str


# Pins:
B15: microcontroller.Pin  # PB15
B14: microcontroller.Pin  # PB14
B13: microcontroller.Pin  # PB13
B10: microcontroller.Pin  # PB10
B1: microcontroller.Pin  # PB01
A7: microcontroller.Pin  # PA07
A6: microcontroller.Pin  # PA06
A5: microcontroller.Pin  # PA05
B3: microcontroller.Pin  # PB03
B4: microcontroller.Pin  # PB04
B5: microcontroller.Pin  # PB05
B6: microcontroller.Pin  # PB06
B7: microcontroller.Pin  # PB07
A8: microcontroller.Pin  # PA08
A4: microcontroller.Pin  # PA04
A3: microcontroller.Pin  # PA03
A2: microcontroller.Pin  # PA02
A1: microcontroller.Pin  # PA01
A0: microcontroller.Pin  # PA00
A10: microcontroller.Pin  # PA10
B9: microcontroller.Pin  # PB09
B8: microcontroller.Pin  # PB08
BTN: microcontroller.Pin  # PC13
LED1: microcontroller.Pin  # PB02
LED2: microcontroller.Pin  # PB12


# Members:

# Unmapped:
#   none
