# SPDX-FileCopyrightText: 2024 Justin Myers
#
# SPDX-License-Identifier: MIT
"""
Board stub for NUCLEO F446RE
 - port: stm
 - board_id: nucleo_f446re
 - NVM size: Unknown
 - Included modules: _asyncio, adafruit_bus_device, aesio, analogio, array, atexit, binascii, board, builtins, builtins.pow3, busio, busio.SPI, busio.UART, codeop, collections, digitalio, errno, getpass, locale, math, microcontroller, msgpack, onewireio, os, os.getenv, pulseio, pwmio, random, re, rtc, select, storage, struct, supervisor, sys, time, traceback, usb_cdc, warnings, zlib
 - Frozen libraries: 
"""

# Imports
import microcontroller


# Board Info:
board_id: str


# Pins:
D0: microcontroller.Pin  # PA03
D1: microcontroller.Pin  # PA02
D2: microcontroller.Pin  # PA10
D3: microcontroller.Pin  # PB03
D4: microcontroller.Pin  # PB05
D5: microcontroller.Pin  # PB04
D6: microcontroller.Pin  # PB10
D7: microcontroller.Pin  # PA08
D8: microcontroller.Pin  # PA09
D9: microcontroller.Pin  # PC07
D10: microcontroller.Pin  # PB06
D11: microcontroller.Pin  # PA07
D12: microcontroller.Pin  # PA06
D13: microcontroller.Pin  # PA05
D14: microcontroller.Pin  # PB09
D15: microcontroller.Pin  # PB08
A0: microcontroller.Pin  # PA00
A1: microcontroller.Pin  # PA01
A2: microcontroller.Pin  # PA04
A3: microcontroller.Pin  # PB00
A4: microcontroller.Pin  # PC01
A5: microcontroller.Pin  # PC00
PA0: microcontroller.Pin  # PA00
PA1: microcontroller.Pin  # PA01
PA2: microcontroller.Pin  # PA02
PA3: microcontroller.Pin  # PA03
PA4: microcontroller.Pin  # PA04
PA5: microcontroller.Pin  # PA05
PA6: microcontroller.Pin  # PA06
PA7: microcontroller.Pin  # PA07
PA8: microcontroller.Pin  # PA08
PA9: microcontroller.Pin  # PA09
PA10: microcontroller.Pin  # PA10
PA11: microcontroller.Pin  # PA11
PA12: microcontroller.Pin  # PA12
PA15: microcontroller.Pin  # PA15
PB0: microcontroller.Pin  # PB00
PB1: microcontroller.Pin  # PB01
PB2: microcontroller.Pin  # PB02
PB3: microcontroller.Pin  # PB03
PB4: microcontroller.Pin  # PB04
PB5: microcontroller.Pin  # PB05
PB6: microcontroller.Pin  # PB06
PB7: microcontroller.Pin  # PB07
PB8: microcontroller.Pin  # PB08
PB9: microcontroller.Pin  # PB09
PB10: microcontroller.Pin  # PB10
PB12: microcontroller.Pin  # PB12
PB13: microcontroller.Pin  # PB13
PB14: microcontroller.Pin  # PB14
PB15: microcontroller.Pin  # PB15
PC0: microcontroller.Pin  # PC00
PC1: microcontroller.Pin  # PC01
PC2: microcontroller.Pin  # PC02
PC3: microcontroller.Pin  # PC03
PC4: microcontroller.Pin  # PC04
PC5: microcontroller.Pin  # PC05
PC6: microcontroller.Pin  # PC06
PC7: microcontroller.Pin  # PC07
PC8: microcontroller.Pin  # PC08
PC9: microcontroller.Pin  # PC09
PC10: microcontroller.Pin  # PC10
PC11: microcontroller.Pin  # PC11
PC12: microcontroller.Pin  # PC12
PC13: microcontroller.Pin  # PC13
PC14: microcontroller.Pin  # PC14
PC15: microcontroller.Pin  # PC15
PD2: microcontroller.Pin  # PD02
PH0: microcontroller.Pin  # PH00
PH1: microcontroller.Pin  # PH01
LED: microcontroller.Pin  # PA05
SW: microcontroller.Pin  # PC13


# Members:

# Unmapped:
#   none
