# SPDX-FileCopyrightText: 2024 Justin Myers
#
# SPDX-License-Identifier: MIT
"""
Board stub for WeMos LOLIN32 Lite
 - port: espressif
 - board_id: wemos_lolin32_lite
 - NVM size: 8192
 - Included modules: _asyncio, _pixelmap, adafruit_bus_device, adafruit_pixelbuf, aesio, analogbufio, analogio, array, atexit, audiobusio, audiocore, audiomixer, audiomp3, binascii, bitbangio, bitmaptools, board, builtins, builtins.pow3, busdisplay, busio, busio.SPI, busio.UART, canio, codeop, collections, countio, digitalio, displayio, dualbank, epaperdisplay, errno, espidf, espnow, espulp, fontio, fourwire, framebufferio, frequencyio, getpass, gifio, hashlib, i2cdisplaybus, io, ipaddress, jpegio, json, keypad, keypad.KeyMatrix, keypad.Keys, keypad.ShiftRegisterKeys, keypad_demux, keypad_demux.DemuxKeyMatrix, locale, math, max3421e, mdns, memorymap, microcontroller, msgpack, neopixel_write, nvm, onewireio, os, os.getenv, paralleldisplaybus, ps2io, pulseio, pwmio, rainbowio, random, re, rotaryio, rtc, sdcardio, select, sharpdisplay, socketpool, socketpool.socketpool.AF_INET6, ssl, storage, struct, supervisor, synthio, sys, terminalio, time, touchio, traceback, ulab, usb, vectorio, warnings, watchdog, wifi, zlib
 - Frozen libraries: 
"""

# Imports
import microcontroller


# Board Info:
board_id: str


# Pins:
VP: microcontroller.Pin  # GPIO36
VN: microcontroller.Pin  # GPIO39
IO34: microcontroller.Pin  # GPIO34
A1_6: microcontroller.Pin  # GPIO34
R4: microcontroller.Pin  # GPIO34
IO35: microcontroller.Pin  # GPIO35
A1_7: microcontroller.Pin  # GPIO35
R5: microcontroller.Pin  # GPIO35
IO32: microcontroller.Pin  # GPIO32
A1_4: microcontroller.Pin  # GPIO32
R9: microcontroller.Pin  # GPIO32
IO33: microcontroller.Pin  # GPIO33
A1_5: microcontroller.Pin  # GPIO33
R8: microcontroller.Pin  # GPIO33
IO25: microcontroller.Pin  # GPIO25
DAC1: microcontroller.Pin  # GPIO25
R6: microcontroller.Pin  # GPIO25
IO26: microcontroller.Pin  # GPIO26
DAC2: microcontroller.Pin  # GPIO26
R7: microcontroller.Pin  # GPIO26
IO27: microcontroller.Pin  # GPIO27
IO14: microcontroller.Pin  # GPIO14
R16: microcontroller.Pin  # GPIO14
IO12: microcontroller.Pin  # GPIO12
R15: microcontroller.Pin  # GPIO12
IO22: microcontroller.Pin  # GPIO22
LED: microcontroller.Pin  # GPIO22
IO19: microcontroller.Pin  # GPIO19
IO23: microcontroller.Pin  # GPIO23
IO18: microcontroller.Pin  # GPIO18
IO5: microcontroller.Pin  # GPIO5
IO17: microcontroller.Pin  # GPIO17
IO16: microcontroller.Pin  # GPIO16
IO4: microcontroller.Pin  # GPIO4
R10: microcontroller.Pin  # GPIO4
IO0: microcontroller.Pin  # GPIO0
R11: microcontroller.Pin  # GPIO0
BOOT: microcontroller.Pin  # GPIO0
IO2: microcontroller.Pin  # GPIO2
R12: microcontroller.Pin  # GPIO2
IO15: microcontroller.Pin  # GPIO15
R13: microcontroller.Pin  # GPIO15
IO13: microcontroller.Pin  # GPIO13
R14: microcontroller.Pin  # GPIO13


# Members:

# Unmapped:
#   none
